# Class FormPtrElement

java.lang.Object
nu.xom.Node
nu.xom.ParentNode
nu.xom.Element
nu.validator.htmlparser.xom.FormPtrElement

All Implemented Interfaces:
  `FormPointer`

public class FormPtrElement extends nu.xom.Element implements FormPointer
Element with an associated form.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`FormPtrElement(String name, String uri)`
Null form.
`FormPtrElement(String name, String uri, nu.xom.Element form)`
Full constructor.
`FormPtrElement(nu.xom.Element elt)`
Copy constructor (`FormPointer`-aware).

## Method Summary

Modifier and Type
Method
Description
`nu.xom.Element`
`getForm()`
Gets the form.
`void`
`setForm(nu.xom.Element form)`
Sets the form.

### Methods inherited from class nu.xom.Element

`addAttribute, addNamespaceDeclaration, appendChild, copy, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeValue, getAttributeValue, getBaseURI, getChildElements, getChildElements, getChildElements, getFirstChildElement, getFirstChildElement, getLocalName, getNamespaceDeclarationCount, getNamespacePrefix, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getQualifiedName, getValue, insertChild, removeAttribute, removeChildren, removeNamespaceDeclaration, setBaseURI, setLocalName, setNamespacePrefix, setNamespaceURI, shallowCopy, toString, toXML`

### Methods inherited from class nu.xom.ParentNode

`appendChild, getChild, getChildCount, indexOf, insertChild, removeChild, removeChild, replaceChild`

### Methods inherited from class nu.xom.Node

`detach, equals, getDocument, getParent, hashCode, query, query`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FormPtrElement

public FormPtrElement(nu.xom.Element elt)
Copy constructor (`FormPointer`-aware).

Parameters:
  `elt` -

### FormPtrElement

public FormPtrElement(String name, String uri)
Null form.

Parameters:
  `name` -
  `uri` -

### FormPtrElement

public FormPtrElement(String name, String uri, nu.xom.Element form)
Full constructor.

Parameters:
  `name` -
  `uri` -
  `form` -

## Method Details

### getForm

public nu.xom.Element getForm()
Gets the form.

Specified by:
  `getForm` in interface `FormPointer`
Returns:
  the form
See Also:
  - `FormPointer.getForm()`

### setForm

public void setForm(nu.xom.Element form)
Sets the form.

Specified by:
  `setForm` in interface `FormPointer`
Parameters:
  `form` - the form to set
See Also:
  - `FormPointer.setForm(nu.xom.Element)`